//  This file is part of foo_timedisplay.
//
//  foo_timedisplay is free software; you can redistribute it and/or modify
//  it under the terms of the GNU Lesser General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.
//
//  foo_timedisplay is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
//  GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with foo_timedisplay. If not, see <http://www.gnu.org/licenses/>.

#pragma once

#include "foobar2000.h"

class foo_timedisplay_mainmenu_commands : public mainmenu_commands
{
	virtual t_uint32 get_command_count() { return 1; }
	virtual GUID get_command( t_uint32 p_index );
	virtual void get_name( t_uint32 p_index, pfc::string_base &p_out );
	virtual bool get_description( t_uint32 p_index, pfc::string_base &p_out );
	virtual GUID get_parent() {	return mainmenu_groups::view; }
	virtual void execute( t_uint32 p_index, service_ptr_t<service_base> p_callback );
	virtual bool get_display( t_uint32 p_index, pfc::string_base &p_text, t_uint32 &p_flags );
	bool is_checked( t_uint32 p_index );
};
