//  This file is part of foo_timedisplay.
//
//  foo_timedisplay is free software; you can redistribute it and/or modify
//  it under the terms of the GNU Lesser General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.
//
//  foo_timedisplay is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
//  GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with foo_timedisplay. If not, see <http://www.gnu.org/licenses/>.

#pragma once

#define SAFE_DELETE(x) { if( (x) != NULL ) delete (x); (x) = NULL; }
#define SAFE_CLOSE_HANDLE(x) { if( (x) != 0 ) CloseHandle(x); (x) = 0; }
#define SAFE_DELETE_OBJECT(x) { if( (x) != 0 ) DeleteObject(x); (x) = 0; }

LPSTR UnicodeToAnsi( LPCWSTR s );
WCHAR* AnsiToUnicode( const char* src );
