//  This file is part of foo_timedisplay.
//
//  foo_timedisplay is free software; you can redistribute it and/or modify
//  it under the terms of the GNU Lesser General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.
//
//  foo_timedisplay is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
//  GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with foo_timedisplay. If not, see <http://www.gnu.org/licenses/>.

#include "foo_timedisplay_initquit.h"
#include "foo_timedisplay.h"

foo_timedisplay* g_foo_timedisplay;

static initquit_factory_t<foo_timedisplay_initquit> g_initquit_foo_timedisplay;

void foo_timedisplay_initquit::on_init()
{ 
	g_foo_timedisplay = new foo_timedisplay();
}

void foo_timedisplay_initquit::on_quit()
{
	SAFE_DELETE( g_foo_timedisplay );
}
