//  This file is part of foo_timedisplay.
//
//  foo_timedisplay is free software; you can redistribute it and/or modify
//  it under the terms of the GNU Lesser General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.
//
//  foo_timedisplay is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
//  GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with foo_timedisplay. If not, see <http://www.gnu.org/licenses/>.

#include "foo_timedisplay_titleformat_hook.h"
#include "foo_timedisplay.h"

bool foo_timedisplay_titleformat_hook::process_field( titleformat_text_out* p_out, const char* p_name, t_size p_name_length, bool& p_found_flag )
{
	if( strcmp( p_name, TIMEFIELDCOMMAND ) == 0 )
	{
		// we're just leaving the field as it was
		p_out->write( titleformat_inputtypes::unknown, TIMEFIELD, strlen(TIMEFIELD) );
		p_found_flag = true;
		return true;
	}
	return false;
}

bool foo_timedisplay_titleformat_hook::process_function( titleformat_text_out* p_out, const char* p_name, t_size p_name_length, titleformat_hook_function_params* p_params, bool& p_found_flag )
{
	return false;
}
