//  This file is part of foo_timedisplay.
//
//  foo_timedisplay is free software; you can redistribute it and/or modify
//  it under the terms of the GNU Lesser General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.
//
//  foo_timedisplay is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
//  GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with foo_timedisplay. If not, see <http://www.gnu.org/licenses/>.

#pragma once

static const GUID guid_mainmenu_command = { 0x908174ba, 0xf4a5, 0x4dd2, { 0xa6, 0x8e, 0xfe, 0x85, 0xff, 0xff, 0xff, 0x28 } };
static const GUID cfg_timedisplay_enabled_guid = { 0xf7047f33, 0xa595, 0x4b15, { 0x8a, 0xe1, 0x70, 0x62, 0xff, 0xaa, 0xcc, 0x70 } };
static const GUID cfg_timedisplay_window_placement_guid = { 0xf7047f33, 0xa595, 0x4b15, { 0x8a, 0xe1, 0x70, 0x62, 0xff, 0xaa, 0xcc, 0x71 } };
static const GUID cfg_font_guid = { 0xf7047f33, 0xa595, 0x4b15, { 0x8a, 0xe1, 0x70, 0x62, 0xff, 0xaa, 0xcc, 0x72 } };
static const GUID cfg_titlebar_on_guid = { 0xf7047f33, 0xa595, 0x4b15, { 0x8a, 0xe1, 0x70, 0x62, 0xff, 0xaa, 0xcc, 0x73 } };
static const GUID cfg_border_on_guid = { 0xf7047f33, 0xa595, 0x4b15, { 0x8a, 0xe1, 0x70, 0x62, 0xff, 0xaa, 0xcc, 0x74 } };
static const GUID cfg_alwaysontop_guid = { 0xf7047f33, 0xa595, 0x4b15, { 0x8a, 0xe1, 0x70, 0x62, 0xff, 0xaa, 0xcc, 0x75 } };
static const GUID cfg_horizontalpadding_guid = { 0xf7047f33, 0xa595, 0x4b15, { 0x8a, 0xe1, 0x70, 0x62, 0xff, 0xaa, 0xcc, 0x76 } };
static const GUID cfg_leftmargin_guid = { 0xf7047f33, 0xa595, 0x4b15, { 0x8a, 0xe1, 0x70, 0x62, 0xff, 0xaa, 0xcc, 0x77 } };
static const GUID cfg_topmargin_guid = { 0xf7047f33, 0xa595, 0x4b15, { 0x8a, 0xe1, 0x70, 0x62, 0xff, 0xaa, 0xcc, 0x78 } };
static const GUID cfg_updateinterval_guid = { 0xf7047f33, 0xa595, 0x4b15, { 0x8a, 0xe1, 0x70, 0x62, 0xff, 0xaa, 0xcc, 0x79 } };
static const GUID cfg_showhours_guid = { 0xf7047f33, 0xa595, 0x4b15, { 0x8a, 0xe1, 0x70, 0x62, 0xff, 0xaa, 0xcc, 0x80 } };
static const GUID cfg_showminutes_guid = { 0xf7047f33, 0xa595, 0x4b15, { 0x8a, 0xe1, 0x70, 0x62, 0xff, 0xaa, 0xcc, 0x81 } };
static const GUID cfg_showseconds_guid = { 0xf7047f33, 0xa595, 0x4b15, { 0x8a, 0xe1, 0x70, 0x62, 0xff, 0xaa, 0xcc, 0x82 } };
static const GUID cfg_showmilliseconds_guid = { 0xf7047f33, 0xa595, 0x4b15, { 0x8a, 0xe1, 0x70, 0x62, 0xff, 0xaa, 0xcc, 0x83 } };
static const GUID cfg_dispremainingtime_guid = { 0xf7047f33, 0xa595, 0x4b15, { 0x8a, 0xe1, 0x70, 0x62, 0xff, 0xaa, 0xcc, 0x84 } };
static const GUID cfg_msecprecision_guid = { 0xf7047f33, 0xa595, 0x4b15, { 0x8a, 0xe1, 0x70, 0x62, 0xff, 0xaa, 0xcc, 0x85 } };
static const GUID cfg_leftclickwindowmove_guid = { 0xf7047f33, 0xa595, 0x4b15, { 0x8a, 0xe1, 0x70, 0x62, 0xff, 0xaa, 0xcc, 0x86 } };
static const GUID cfg_flash_guid = { 0xf7047f33, 0xa595, 0x4b15, { 0x8a, 0xe1, 0x70, 0x62, 0xff, 0xaa, 0xcc, 0x87 } };
static const GUID cfg_flashinterval_guid = { 0xf7047f33, 0xa595, 0x4b15, { 0x8a, 0xe1, 0x70, 0x62, 0xff, 0xaa, 0xcc, 0x88 } };
static const GUID cfg_keepaspectratio_guid = { 0xf7047f33, 0xa595, 0x4b15, { 0x8a, 0xe1, 0x70, 0x62, 0xff, 0xaa, 0xcc, 0x89 } };
static const GUID cfg_align_guid = { 0xf7047f33, 0xa595, 0x4b15, { 0x8a, 0xe1, 0x70, 0x62, 0xff, 0xaa, 0xcc, 0x90 } };
static const GUID cfg_customdisplayformat_guid = { 0xf7047f33, 0xa595, 0x4b15, { 0x8a, 0xe1, 0x70, 0x62, 0xff, 0xaa, 0xcc, 0x91 } };
static const GUID cfg_displayformat_guid = { 0xf7047f33, 0xa595, 0x4b15, { 0x8a, 0xe1, 0x70, 0x62, 0xff, 0xaa, 0xcc, 0x92 } };
static const GUID cfg_displayfallback_guid = { 0xf7047f33, 0xa595, 0x4b15, { 0x8a, 0xe1, 0x70, 0x62, 0xff, 0xaa, 0xcc, 0x93 } };
static const GUID cfg_scrollinterval_guid = { 0xf7047f33, 0xa595, 0x4b15, { 0x8a, 0xe1, 0x70, 0x62, 0xff, 0xaa, 0xcc, 0x94 } };
static const GUID cfg_scrollstep_guid = { 0xf7047f33, 0xa595, 0x4b15, { 0x8a, 0xe1, 0x70, 0x62, 0xff, 0xaa, 0xcc, 0x95 } };
static const GUID cfg_onlyscrollwhentextisoversized_guid = { 0xf7047f33, 0xa595, 0x4b15, { 0x8a, 0xe1, 0x70, 0x62, 0xff, 0xaa, 0xcc, 0x96 } };
static const GUID cfg_pauseonscrollstart_guid = { 0xf7047f33, 0xa595, 0x4b15, { 0x8a, 0xe1, 0x70, 0x62, 0xff, 0xaa, 0xcc, 0x97 } };
static const GUID cfg_verticalpadding_guid = { 0xf7047f33, 0xa595, 0x4b15, { 0x8a, 0xe1, 0x70, 0x62, 0xff, 0xaa, 0xcc, 0x98 } };
static const GUID cfg_scrollwhenpaused_guid = { 0xf7047f33, 0xa595, 0x4b15, { 0x8a, 0xe1, 0x70, 0x62, 0xff, 0xaa, 0xcc, 0x99 } };
static const GUID cfg_scrolldragging_guid = { 0xf7047f33, 0xa595, 0x4b15, { 0x8a, 0xe1, 0x70, 0x62, 0xff, 0xaa, 0xcc, 0x9a } };
static const GUID cfg_scrollpadding_guid = { 0xf7047f33, 0xa595, 0x4b15, { 0x8a, 0xe1, 0x70, 0x62, 0xff, 0xaa, 0xcc, 0x9b } };
